aboutsummaryrefslogtreecommitdiff
path: root/bin/executable_wd-mount
diff options
context:
space:
mode:
Diffstat (limited to 'bin/executable_wd-mount')
-rwxr-xr-xbin/executable_wd-mount19
1 files changed, 19 insertions, 0 deletions
diff --git a/bin/executable_wd-mount b/bin/executable_wd-mount
new file mode 100755
index 0000000..8a8ee3f
--- /dev/null
+++ b/bin/executable_wd-mount
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+if ! mount | grep -w /media/t > /dev/null ; then
+ if [ -e /dev/disk/by-uuid/0c5bcd92-bf08-4a21-a117-0ba9c0c31862 ]; then
+ sudo cryptdisks_start tosh && \
+ sudo zpool import ztosh && \
+ sudo mount /var/lib/mpd/music
+ sudo vgimport tosh
+ sudo vgchange -ay tosh
+ fi
+fi
+
+if ! mount | grep -w /media/wd-bak > /dev/null ; then
+ if [ -e /dev/disk/by-uuid/68b52a2b-2be5-4d40-98ba-c8469da50f1f ]; then
+ sudo cryptdisks_start wd-bak-work && mount /dev/mapper/wd-bak-work
+ elif [ -e /dev/disk/by-uuid/49491f12-45ec-4f3f-9f70-73a94149aaf2 ]; then
+ sudo cryptdisks_start wd-bak && mount /dev/mapper/wd-bak
+ fi
+fi